<template>
  <QuestionFormBase @save-form="handleEdit" @close-form="handleClose" v-bind="$attrs" />
</template>

<script setup lang="ts">
import QuestionFormBase from './QuestionFormBase.vue';
import { EditShowTableData } from '@/api/datamanagement/alert-show'

const emits = defineEmits(['close']);

const handleEdit = (formData) => {
  EditShowTableData(formData).then(() => {
    emits('close');
  })
};

const handleClose = () => {
  emits('close');
};
</script>

<style scoped></style>